import {httpApi} from "../../request/httpApi";

export default {
    //获取关联的合同段树
    async getContractInfoTree(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/contractInfo/tree2',
            method: 'get',
            params: form
        },msg);
    },
    //未识别合同段划分节点 手动关联
    async setImportRelation(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/wbsTreeContract/import-relation',
            method: 'post',
            data: form
        },msg);
    },
    //标记/取消隐蔽工程节点
    async concealedWorksNnode(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/wbsTreeContract/concealed-works-node',
            method: 'get',
            params: form
        },msg);
    },
    //项目级懒加载节点树形结构-表单类型划分树
    async tabTypeLazyTree(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/wbsPrivate/tab-Type-lazy-tree',
            method: 'get',
            params: form
        },msg);
    },
    //添加合同段节点树
    async addWbsContractInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/wbsPrivate/add-wbs-contract-info',
            method: 'post',
            params: form
        },msg);
    },
}
